//! Error handling

pub type Result<T> = std::result::Result<T, Error>;

#[derive(thiserror::Error, Debug)]
pub enum Error {
    #[error("{0}")]
    Custom(String),

    #[error("http: {0}")]
    Http(#[from] reqwest::Error),

    #[error("i/o: {0}")]
    Io(#[from] std::io::Error),
}
